## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# NamespacesHandler Class Reference

`#include <NamespacesHandler.hpp>`

List of all members.

## Public Types

- typedef XalanQName::NamespaceVectorType NamespaceVectorType
- typedef XalanQName::NamespacesStackType NamespacesStackType
- typedef std::vector<Namespace> NamespacesVectorType
- typedef std::vector<NamespaceExtended> NamespaceExtendedVectorType
- typedef std::map<const XalanDOMString*,
  const XalanDOMString*, DOMStringPointerLessThanFunction> ExcludedResultPrefixesMapType
- typedef std::map<const XalanDOMString*,
  NamespaceExtended, DOMStringPointerLessThanFunction> NamespacesMapType
- typedef std::map<const XalanDOMString*,
  const XalanDOMString*, DOMStringPointerLessThanFunction> NamespaceAliasesMapType
- typedef std::vector<const
  XalanDOMString*> XalanDOMStringPointerVectorType

## Public Methods

- NamespacesHandler ()
    Create a default, empty instance.
- NamespacesHandler ( StylesheetConstructionContext& theConstructionContext, const NamespacesHandler& stylesheetNamespacesHandler, const NamespacesStackType& theCurrentNamespaces, const XalanDOMString& theXSLTNamespaceURI)
    Create an instance namespace handler using the current namespaces in effect. More...
- ~NamespacesHandler ()
- void processExcludeResultPrefixes ( StylesheetConstructionContext& theConstructionContext, const XalanDOMChar* theValue, const NamespacesStackType& theCurrentNamespaces)
    Process an exclude-result-prefixes attribute. More...
- void processExtensionElementPrefixes ( StylesheetConstructionContext& theConstructionContext, const XalanDOMChar* theValue, const NamespacesStackType& theCurrentNamespaces)
    Process an extension-element-prefixes attribute. More...
- void postConstruction ( StylesheetConstructionContext& theConstructionContext, bool fProcessNamespaceAliases = true, const XalanDOMString& theElementName = XalanDOMString(), const NamespacesHandler* parentNamespacesHandler = 0, const PrefixChecker* prefixChecker = 0)
    Notify the instance that the stylesheet is fully constructed. More...
- NamespacesHandler& operator= (const NamespacesHandler& theRHS)
- bool shouldExcludeResultNamespaceNode ( const XalanDOMString& theXSLTNamespaceURI, const XalanDOMString& theURI) const
    Determine of a given namespace should be excluded. More...
- void addExtensionNamespaceURI ( StylesheetConstructionContext& theConstructionContext, const XalanDOMString& theURI)
    Add a URI as an extension namespace prefixes. More...
- const XalanDOMString* getNamespace (const XalanDOMString& thePrefix) const
    Get the namespace URI for the given prefix. More...
- const XalanDOMString* getNamespaceAlias (const XalanDOMString& theStylesheetNamespace) const
    Get the namespace alias URI for the given namespace. More...
- void setNamespaceAlias ( StylesheetConstructionContext& theConstructionContext, const XalanDOMString& theStylesheetNamespace, const XalanDOMString& theResultNamespace)
    Set the namespace alias URI for the given namespace. More...
- void copyNamespaceAliases (const NamespacesHandler& parentNamespacesHandler)
    Copy the aliases from the given NamespacesHandler. More...
- void outputResultNamespaces ( StylesheetExecutionContext& theExecutionContext, bool supressDefault = false) const
    Output the result tree namespace declarations. More...
- void clear ()
    Clear out the handler.
- void swap (NamespacesHandler& theOther)
    Swap the contents of this instance with another. More...
- NamespacesMapType::size_type getNamespaceDeclarationsCount () const

## Member Typedef Documentation

typedef std::map<const XalanDOMString*, const XalanDOMString*, DOMStringPointerLessThanFunction> NamespacesHandler::ExcludedResultPrefixesMapType

typedef std::map<const XalanDOMString*, const XalanDOMString*, DOMStringPointerLessThanFunction> NamespacesHandler::NamespaceAliasesMapType

typedef std::vector<NamespaceExtended> NamespacesHandler::NamespaceExtendedVectorType

typedef XalanQName::NamespaceVectorType NamespacesHandler::NamespaceVectorType

typedef std::map<const XalanDOMString*, NamespaceExtended, DOMStringPointerLessThanFunction> NamespacesHandler::NamespacesMapType

typedef XalanQName::NamespacesStackType NamespacesHandler::NamespacesStackType

typedef std::vector<Namespace> NamespacesHandler::NamespacesVectorType

typedef std::vector<const XalanDOMString*> NamespacesHandler::XalanDOMStringPointerVectorType

## Constructor & Destructor Documentation

NamespacesHandler::NamespacesHandler ( | )`[explicit]`

Create a default, empty instance.

NamespacesHandler::NamespacesHandler ( | StylesheetConstructionContext & theConstructionContext,
| const NamespacesHandler & stylesheetNamespacesHandler,
| const NamespacesStackType & theCurrentNamespaces,
| const XalanDOMString & theXSLTNamespaceURI )

Create an instance namespace handler using the current namespaces in effect.

Parameters:

  theConstructionContext | The current construction context.
  stylesheetNamespacesHandler | The stylesheet's handler.
  theCurrentNamespaces | The stack of active namespace declarations.
  theXSLTNamespaceURI | The namespace URI for XSLT.

NamespacesHandler::~NamespacesHandler ( | )

## Member Function Documentation

void NamespacesHandler::addExtensionNamespaceURI ( | StylesheetConstructionContext & theConstructionContext,
| const XalanDOMString & theURI )

Add a URI as an extension namespace prefixes.

Parameters:

  theConstructionContext | The current construction context.
  theURI | The namespace URI.

void NamespacesHandler::clear ( | )

Clear out the handler.

void NamespacesHandler::copyNamespaceAliases ( | const NamespacesHandler & parentNamespacesHandler )

Copy the aliases from the given NamespacesHandler.

Parameters:

  parentNamespacesHandler | The parent handler.

const XalanDOMString * NamespacesHandler::getNamespace ( | const XalanDOMString & thePrefix ) const

Get the namespace URI for the given prefix.

Parameters:

  thePrefix | The namespace prefix.

Returns:
  The namespace URI

const XalanDOMString * NamespacesHandler::getNamespaceAlias ( | const XalanDOMString & theStylesheetNamespace ) const

Get the namespace alias URI for the given namespace.

Parameters:

  theStylesheetNamespace | The namespace as declared in the stylesheet.

Returns:
  The namespace alias URI

NamespacesMapType::size_type NamespacesHandler::getNamespaceDeclarationsCount ( | ) const`[]`

NamespacesHandler& NamespacesHandler::operator= ( | const NamespacesHandler & theRHS )

void NamespacesHandler::outputResultNamespaces ( | StylesheetExecutionContext & theExecutionContext,
| bool supressDefault = false ) const

Output the result tree namespace declarations.

Parameters:

  theExecutionContext | The current execution context.
  supressDefault | If true, any default namespace declaration will not be output.

void NamespacesHandler::postConstruction ( | StylesheetConstructionContext & theConstructionContext,
| bool fProcessNamespaceAliases = true,
| const XalanDOMString & theElementName = XalanDOMString(),
| const NamespacesHandler * parentNamespacesHandler = 0,
| const PrefixChecker * prefixChecker = 0 )

Notify the instance that the stylesheet is fully constructed.

Parameters:

  theConstructionContext | The current construction context.
  fProcessNamespaceAliases | If true, process any namespace aliases
  theElementName | The name of the owning element.
  parentNamespacesHandler | The parent handler, if any.
  prefixChecker | A pointer to a PrefixChecker instance to use, if any.

void NamespacesHandler::processExcludeResultPrefixes ( | StylesheetConstructionContext & theConstructionContext,
| const XalanDOMChar * theValue,
| const NamespacesStackType & theCurrentNamespaces )

Process an exclude-result-prefixes attribute.

Parameters:

  theConstructionContext | The current construction context.
  theValue | The attribute's value.
  theCurrentNamespaces | The stack of active namespace declarations.

void NamespacesHandler::processExtensionElementPrefixes ( | StylesheetConstructionContext & theConstructionContext,
| const XalanDOMChar * theValue,
| const NamespacesStackType & theCurrentNamespaces )

Process an extension-element-prefixes attribute.

Parameters:

  theConstructionContext | The current construction context.
  theValue | The attribute's value.
  theCurrentNamespaces | The stack of active namespace declarations.

void NamespacesHandler::setNamespaceAlias ( | StylesheetConstructionContext & theConstructionContext,
| const XalanDOMString & theStylesheetNamespace,
| const XalanDOMString & theResultNamespace )

Set the namespace alias URI for the given namespace.

Parameters:

  theConstructionContext | The current construction context.
  theStylesheetNamespace | The namespace as declared in the stylesheet.
  theResultNamespace | The namespace as it should appear in the result tree.

bool NamespacesHandler::shouldExcludeResultNamespaceNode ( | const XalanDOMString & theXSLTNamespaceURI,
| const XalanDOMString & theURI ) const

Determine of a given namespace should be excluded.

Parameters:

  theXSLTNamespaceURI | The namespace URI for XSLT.
  theURI | The namespace URI.

Returns:
  true of the namespace should be excluded, false if not.

void NamespacesHandler::swap ( | NamespacesHandler & theOther )

Swap the contents of this instance with another.

Parameters:

  theOther | The other instance.

The documentation for this class was generated from the following file:

- NamespacesHandler.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.